Table of Contents

Class: OscarConnection | Twisted-0.19.0/twisted/protocols/oscar.py
--- | ---
Base Classes |
--- | ---
protocol.Protocol
Methods |
--- | ---
connectionFailed connectionLost connectionMade dataReceived disconnect | readFlap sendFLAP sendKeepAlive setKeepAlive stopKeepAlive
| connectionFailed
    connectionFailed ( self )
| connectionLost
    connectionLost ( self )
| connectionMade
    connectionMade ( self )
| dataReceived
    dataReceived ( self,  data )
| disconnect
    disconnect ( self )
send the disconnect flap, and sever the connection
| readFlap
    readFlap ( self )
| sendFLAP
    sendFLAP (
            self,
            data,
            channel=0x02,
            )
| sendKeepAlive
    sendKeepAlive ( self )
| setKeepAlive
    setKeepAlive ( self,  t )
| stopKeepAlive
    stopKeepAlive ( self )

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:57 2002 by HappyDoc version 2.0